import type { ExtraConfig } from '/@/utils/request';
import request from '/@/utils/request';

/**
 * @summary 获取工作流列表数据源
 */
export const get_workflow_agent_list = async () => {
	return request({
		url: '/admin/workflow/get_workflow_agent_list',
		method: 'POST',
	});
};
/**
 * @description 添加工作流执行器
 **/
export const add_workflow_agent = (params) =>
	request({
		url: `/admin/workflow/add_workflow_agent`,
		method: 'post',
		data: params,
	});
/**
 * @description 删除工作流执行器
 **/
export const delete_workflow_agent = (params) =>
	request({
		url: `/admin/workflow/delete_workflow_agent`,
		method: 'post',
		data: params,
	});

/**
 * @description 获取工作流 JSON
 **/
export const get_workflow_json_flow = (params) =>
	request({
		url: `/admin/workflow/get_workflow_json_flow`,
		method: 'post',
		data: params,
	});

/**
 * @description 设置工作流 JSON
 **/
export const update_workflow_json_flow = (params) =>
	request({
		url: `/admin/workflow/update_workflow_json_flow`,
		method: 'post',
		data: params,
	});
/**
 * @description 更新工作流执行器
 **/
export const update_workflow_agent = (params) =>
	request({
		url: `/admin/workflow/update_workflow_agent`,
		method: 'post',
		data: params,
	});
/**
 * @description 测试工作流agent
 **/
export const check_workflow_agent_validate = (params, extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/metrics/check_workflow_agent_validate`,
		method: 'post',
		data: params,
		...extraData,
	});

/**
 * @description 获取 agent_names 列表
 **/
export const get_agent_names = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/workflow/get_agent_names`,
		method: 'post',
		...extraData,
	});

/**
 * @description 获取 func_names 列表
 **/
export const get_flow_func_names = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/workflow/get_flow_func_names`,
		method: 'post',
		...extraData,
	});

export const publish_workflow_agent = (params, extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/workflow/publish_workflow_agent`,
		method: 'post',
		data: params,

		...extraData,
	});

/**
 * @description 获取 llm 模型列表
 **/
export const get_llm_info_list = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/workflow/get_llm_info_list`,
		method: 'post',
		...extraData,
	});
